[sword-devel] GPL 3 licencing issues

David (Mailing List Addy) davidslists at gmx.net
Wed Jul 18 06:50:36 MST 2007

On Tuesday 17 July 2007 11:22, DM Smith wrote:
> nterestingly, both v2 and v3 require presenting the user with the
> license. I don't know if all our applications do this. I know when I
> install BT or GS via an RPM, I'm not presented with the license.
> According to the GPL, it then needs to be available via the program.

Correct, via the program. I seem to recall the about box being sufficient 
according to at least, v2

>v3 also seems to require that a GPL program must make available all 
>source code necessary to build and make it run, including all 3-rd party 
>libraries (i.e. Corresponding Source), other than "System Libraries". I 
>didn't see that in v2, though it may be in there in spirit. I'm not sure 
>how this would affect us.

I don't believe it is in v2 even in spirit. This might be part of the 
so-called anti-tiviosation effort. This also might effect the hypothetical 
embedded device in another thread depending on what's called a "system 

More information about the sword-devel mailing list